Mientras estaba escribiendo la entrada anterior, Firefox me ha sugerido que actualice a la versión 1.5.0.8…

Firefox 1.5.0.8
Sí, todavía uso la 1.5 (la 1.5.0.7, concretamente). Por qué no he actualizado a la 2.0? Pues principalmente, yo era de los que esperaban como agua de mayo la salida de una versión de Tab Mix Plus compatible con el nuevo Firefox. La vagancia también me puede, puesto que hace ya casi una semana que salió la versión compatible y sigo con la 1.5, pero también tengo la excusa de otra de mis extensiones imprescindibles, Status Buttons (no veáis lo cómodo que es tener el icono de las sesiones de TMP en la barra de estado), de la que tampoco hay versión compatible. En el trabajo sí tengo la 2.0, pero porque no me quedó otro remedio (un día llegué y no arrancaba el ordenador, le faltaban archivos de sistema :S, y tuvieron que formatearlo), así que me bajé una release candidate de TMP y una versión hackeada de Status Buttons y a correr.

De todas maneras, cuando salió la versión 2.0 del navegador, me extrañó que no me la detectara el sistema de actualización automática. Pero cuando he visto el pantallazo y he googleado un poco, he llegado a este post de mozillaZine que me lo ha aclarado un poco, y es que el actualizador de las versiones 1.5.0.x (recordemos que el actualizador fue introducido en la 1.5) sólo detecta actualizaciones menores (las de seguridad y corrección de bugs, que en definitiva son las más importantes), así que se han sacado de la manga una nueva versión 1.5.0.x que sí reconozca actualizaciones mayores (las de versión propiamente dichas, como viene a ser la 2.0) para que los despistados se pongan al día. Y esto no lo hicieron desde el día cero porque lo importante era captar a nuevos usuarios, y después actualizar a los existentes.

Por cierto, y al hilo del post de Salva sobre TMP, estoy hasta las narices de la guerra Firefox vs Opera, pero es que encima me revienta que la gente desenfunde la escopeta sin venir a cuento. Yo uso Firefox porque me gusta más, porque lo que no me da él me lo dan sus extensiones, porque es gratuito y libre (Opera es gratuito sólo desde la versión 8, y desde entonces lo tengo instalado aunque apenas lo uso)… pero cuando tenga mi iMac, pienso ser multinavegador: Camino y Safari para consultas rápidas, Firefox para navegar con la calma, y para cambiar de vez en cuando, tengo Opera, Shiira… (me dejo alguno?). Vamos, que no veo por qué tienen que excluirse (yo, lo reconozco, cuando tengo que hacer una consulta rápida y no quiero esperar a que se cargue la sesión de Firefox, abro IE… pero es porque Opera me tarda tanto o más en cargar que Firefox!).

Otra cosa que me da rabia (y no porque Salva haya escrito el post y quiera defenderle) es que el autor escribe una noticia sobre una extensión muy popular, anotando algunas de sus funcionalidades, y va otro y le dice que eso ya lo hace Firefox 2.0 de serie. Pues no, Firefox 2.0 pelado no hace ni la mitad que TMP. Que para muchos usuarios su gestor de pestañas y de sesiones es suficiente? Perfecto. Pero otros queremos tener mucho más control sobre el comportamiento de las pestañas (TMP te da infinitas opciones, yo llevo usándola prácticamente desde que salió y todavía no las conozco todas), y sobre todo, un gestor de sesiones más potente (tener una sesión de series de la tele, otra de vídeos pendientes de YouTube, etc., y poder abrirlas cuando te dé la gana y no al iniciar el navegador, no tiene precio).

En definitiva, que me encanta Firefox (pero que cada uno use lo que le dé la gana… mientras no sea IE :P). A ver si ahora le doy un repaso al resto de extensiones para comprobar la compatibilidad, y doy el paso. Y quizás también me convendría actualizar la lista de extensiones que hice en los inicios del blog.

Digues la teva!

XHTML: Podeu fer servir les següents etiquetes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>